﻿using System;
using System.Globalization;
using System.Runtime.CompilerServices;

namespace CallerInformation
{
    class Program
    {
        static void pokażInformacje(
            string zwykłyArgument,
            [CallerMemberName] string memberName = "",
            [CallerFilePath] string sourceFilePath = "",
            [CallerLineNumber] int sourceLineNumber = 0)
        {
            Console.WriteLine("Nazwa elementu: " + memberName);
            Console.WriteLine("Ścieżka pliku: " + sourceFilePath);
            Console.WriteLine("Linia wywołania: " + sourceLineNumber.ToString());
        }

        static void Main(string[] args)
        {
            pokażInformacje("zwykły");

            //string s = 1.2.ToString("X2");
            IFormatProvider formatProvider = new CultureInfo("pl-PL");
            string s = 1.2.ToString(formatProvider);
            Console.WriteLine(s);            
        }
    }
}
